# $Id: openslp.spec,v 1.9 2003/11/18 21:45:24 rexdieter Exp $

%define soname libexif
#define libmajor 9

Summary: EXIF image tag library.
Name:    %{soname}%{?libmajor}
Epoch:	 0
Version: 0.5.12
Release: 0.1%{?dist_tag}.kde
Source:  http://prdownloads.sourceforge.net/libexif/libexif-0.5.12.tar.gz
URL:     http://libexif.sourceforge.net/
Group:   System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: libexif-0.5.12-buffer-overflow.patch

#Provides: %{soname} = %{epoch}:%{version}-%{release}

BuildRequires:  gettext

%description
Most digital cameras produce EXIF files, which are JPEG files with extra tags
that contain information about the image. The EXIF library allows you to parse
an EXIF file and read the data from those tags.

%package devel
Summary: The files needed for %{soname} application development.
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
#Provides: %{soname}-devel = %{epoch}:%{version}-%{release}
Requires: pkgconfig
%description    devel
The %name-devel package contains the libraries and include files
that you can use to develop %{soname} applications.


%prep
%setup -q -n %{soname}-%{version}

%patch0 -p1 -b .buffer-overflow


%build
%configure --disable-static

make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}

#makeinstall
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la



%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
#{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*



%changelog
* Tue Mar 08 2005 Rex Dieter 0:0.5.12-0.1.kde
- backport from fc3 errata: (release -3.1)
  patch for CAN-2005-0664. Fix bug #150503

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net>
- kde-redhat'ize

* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.12-0.fdr.2
- Removed aesthetic comments.

* Tue Aug 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.12-0.fdr.1
- Updated to 0.5.12.

* Thu Jul 31 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.10-0.fdr.2
- buildroot -> RPM_BUILD_ROOT.
- Correction to License.
- -devel Req pkgconfig.

* Wed Jul 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.10-0.fdr.1
- Fedorafication.

* Thu Jul 24 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.10.
- The lang file is back from %%{name}-8 to %%{name}.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.9.
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Tue Jan 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup based on the one made by "tack".

